ros-kinetic-image-geometry (1.12.8-0jessie) jessie; urgency=high

  * Merge pull request #189 <https://github.com/ros-perception/vision_opencv/issues/189> from ros2/python3_support_in_test
    python 3 compatibility in test
  * python 3 compatibility in test
  * fix doc job
  * Contributors: Mikael Arguedas, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 16 Apr 2018 22:00:00 -0000

ros-kinetic-image-geometry (1.12.7-0jessie) jessie; urgency=high

  * get shared_ptr from boost or C++11
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 11 Nov 2017 23:00:00 -0000

ros-kinetic-image-geometry (1.12.6-0jessie) jessie; urgency=high

  * missing STL includes
  * Contributors: Mikael Arguedas, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 10 Nov 2017 23:00:00 -0000

ros-kinetic-image-geometry (1.12.5-0jessie) jessie; urgency=high

  * Fix compilation issues.
    Fix suggested by #173 <https://github.com/ros-perception/vision_opencv/issues/173> comment
  * Make sure to initialize the distorted_image Mat.
    Otherwise, valgrind throws errors about accessing uninitialized
    memory.
    Signed-off-by: Chris Lalancette <mailto:clalancette@osrfoundation.org>
  * Remove the last remnants of boost from image_geometry.
    All of its functionality can be had from std:: in C++11, so
    use that instead.  This also requires us to add the -std=c++11
    flag.
    Signed-off-by: Chris Lalancette <mailto:clalancette@osrfoundation.org>
  * Contributors: Chris Lalancette, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 04 Nov 2017 23:00:00 -0000

ros-kinetic-image-geometry (1.12.4-0jessie) jessie; urgency=high

  * Import using __future__ for python 3 compatibility.
  * Contributors: Hans Gaiser

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 28 Jan 2017 23:00:00 -0000

ros-kinetic-image-geometry (1.12.3-0jessie) jessie; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 03 Dec 2016 23:00:00 -0000

ros-kinetic-image-geometry (1.12.2-0jessie) jessie; urgency=high

  * Fix "stdlib.h: No such file or directory" errors in GCC-6
    Including '-isystem /usr/include' breaks building with GCC-6.
    See https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129
  * Merge pull request #142 <https://github.com/ros-perception/vision_opencv/issues/142> from YuOhara/remap_with_nan_border_value
    remap with nan border if mat value is float or double
  * remap with nan border if mat value is float or double
  * Contributors: Hodorgasm, Vincent Rabaud, YuOhara

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 23 Sep 2016 22:00:00 -0000

ros-kinetic-image-geometry (1.12.1-0jessie) jessie; urgency=high

  * Add fullResolution getter to PinholeCameraModel
  * add a missing dependency when building the doc
  * fix sphinx doc path
  * Contributors: Jacob Panikulam, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 10 Jul 2016 22:00:00 -0000

ros-kinetic-image-geometry (1.12.0-0jessie) jessie; urgency=high

  * depend on OpenCV3 only
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 17 Mar 2016 23:00:00 -0000

ros-kinetic-image-geometry (1.11.12-0jessie) jessie; urgency=high

  * issue #117 <https://github.com/ros-perception/vision_opencv/issues/117> pull request #118 <https://github.com/ros-perception/vision_opencv/issues/118> check all distortion coefficients to see if rectification ought to be done
  * Contributors: Lucas Walter

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 09 Mar 2016 23:00:00 -0000

ros-kinetic-image-geometry (1.11.11-0jessie) jessie; urgency=high

  * clean up the doc files
  * fix a few warnings in doc jobs
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 30 Jan 2016 23:00:00 -0000

ros-kinetic-image-geometry (1.11.10-0jessie) jessie; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 15 Jan 2016 23:00:00 -0000

ros-kinetic-image-geometry (1.11.9-0jessie) jessie; urgency=high

  * add a condition if D=None
  * fix compilation warnings
  * Contributors: Vincent Rabaud, YuOhara

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 28 Nov 2015 23:00:00 -0000

ros-kinetic-image-geometry (1.11.8-0jessie) jessie; urgency=high

  * fixes #62 <https://github.com/ros-perception/vision_opencv/issues/62>, bug in Python rectifyPoint old opencv1 API
  * Simplify some OpenCV3 distinction
  * Contributors: Basheer Subei, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 14 Jul 2015 22:00:00 -0000

ros-kinetic-image-geometry (1.11.7-0jessie) jessie; urgency=high

  * Merge pull request #53 <https://github.com/ros-perception/vision_opencv/issues/53> from carnegieroboticsllc/patch-1
    Update stereo_camera_model.cpp
  * Updated inline math for reprojecting a single disparity
  * Update stereo_camera_model.cpp
    Correct slight error in the Q matrix derivation
  * Updated Q matrix to account for cameras with different Fx and Fy values
  * Contributors: Carnegie Robotics LLC, Matt Alvarado, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 13 Dec 2014 23:00:00 -0000

ros-kinetic-image-geometry (1.11.6-0jessie) jessie; urgency=high

  * Fixes in image_geometry for Python cv2 API
  * Fixed typo: np -> numpy
  * Added missing tfFrame method to Python PinholeCameraModel.
  * Removed trailing whitespace.
  * Contributors: Daniel Maturana

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 15 Nov 2014 23:00:00 -0000

ros-kinetic-image-geometry (1.11.5-0jessie) jessie; urgency=high

  * get code to work with OpenCV3
    actually fixes #46 <https://github.com/ros-perception/vision_opencv/issues/46> properly
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 20 Sep 2014 22:00:00 -0000

ros-kinetic-image-geometry (1.11.4-0jessie) jessie; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 26 Jul 2014 22:00:00 -0000

ros-kinetic-image-geometry (1.11.3-0jessie) jessie; urgency=high

  * pinhole_camera_model: fix implicit shared_ptr cast to bool for C++11
    In C++11 boost::shared_ptr does not provide the implicit bool conversion
    operator anymore, so make the cast in pinhole_camera_model.h explicit.
    That does not hurt in older C++ standards and makes compilation with C++11
    possible.
  * Contributors: Max Schwarz

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 07 Jun 2014 22:00:00 -0000

ros-kinetic-image-geometry (1.11.2-0jessie) jessie; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 27 Apr 2014 22:00:00 -0000

ros-kinetic-image-geometry (1.11.1-0jessie) jessie; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 15 Apr 2014 22:00:00 -0000

ros-kinetic-image-geometry (1.11.0-0jessie) jessie; urgency=high

  * remove OpenCV 1 API
  * fixes #6 <https://github.com/ros-perception/vision_opencv/issues/6>
  * fix OpenCV dependencies
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 14 Feb 2014 23:00:00 -0000

ros-kinetic-image-geometry (1.10.15-0jessie) jessie; urgency=high

  * add assignment operator for StereoCameraModel
  * fixed Python rectifyImage implementation in PinholeCameraModel
  * Added operator= for the PinholeCameraModel.
    Added the operator= for the PinholeCameraModel. I am not sure if the
    PinholeCameraModel needs to have a destructor, too. To follow the
    'rule of three' it should actually have one.
  * Contributors: Tobias Bar, Valsamis Ntouskos, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 06 Feb 2014 23:00:00 -0000

ros-kinetic-image-geometry (1.10.14-0jessie) jessie; urgency=high

  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 23 Nov 2013 15:17:00 -0000

ros-kinetic-image-geometry (1.10.13-0jessie) jessie; urgency=high

  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 23 Nov 2013 08:19:00 -0000

ros-kinetic-image-geometry (1.10.12-0jessie) jessie; urgency=high

  * "1.10.12"
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 21 Nov 2013 23:00:00 -0000

ros-kinetic-image-geometry (1.10.11-0jessie) jessie; urgency=high

  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 22 Oct 2013 22:00:00 -0000

ros-kinetic-image-geometry (1.10.10-0jessie) jessie; urgency=high

  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 18 Oct 2013 22:00:00 -0000

ros-kinetic-image-geometry (1.10.9-0jessie) jessie; urgency=high

  * fixes #23 <https://github.com/ros-perception/vision_opencv/issues/23>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 06 Oct 2013 22:00:00 -0000

ros-kinetic-image-geometry (1.10.8-0jessie) jessie; urgency=high

  * check for CATKIN_ENABLE_TESTING
  * update email  address
  * Contributors: Lukas Bulwahn, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 08 Sep 2013 22:00:00 -0000

ros-kinetic-image-geometry (1.10.7-0jessie) jessie; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 16 Jul 2013 22:00:00 -0000

ros-kinetic-image-geometry (1.10.6-0jessie) jessie; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 28 Feb 2013 23:00:00 -0000

ros-kinetic-image-geometry (1.10.5-0jessie) jessie; urgency=high

  * Add dependency on generated messages
    Catkin requires explicit enumeration of dependencies on generated messages.
    Add this declaration to properly flatten the dependency graph and force Catkin
    to generate geometry_msgs before compiling image_geometry.
  * Contributors: Adam Hachey

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 10 Feb 2013 23:00:00 -0000

ros-kinetic-image-geometry (1.10.4-0jessie) jessie; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 01 Feb 2013 23:00:00 -0000

ros-kinetic-image-geometry (1.10.3-0jessie) jessie; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 16 Jan 2013 23:00:00 -0000

ros-kinetic-image-geometry (1.10.2-0jessie) jessie; urgency=high

  * fix ticket 4253
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 12 Jan 2013 23:00:00 -0000

ros-kinetic-image-geometry (1.10.1-0jessie) jessie; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 09 Jan 2013 23:00:00 -0000

ros-kinetic-image-geometry (1.10.0-0jessie) jessie; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 02 Jan 2013 23:00:00 -0000

ros-kinetic-image-geometry (1.9.15-0jessie) jessie; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 01 Jan 2013 23:00:00 -0000

ros-kinetic-image-geometry (1.9.14-0jessie) jessie; urgency=high

  * add feature for https://code.ros.org/trac/ros-pkg/ticket/5592
  * CMake cleanups
  * fix a failing test
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 29 Dec 2012 23:00:00 -0000

ros-kinetic-image-geometry (1.9.13-0jessie) jessie; urgency=high

  * use the catkin macros for the setup.py
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 14 Dec 2012 23:00:00 -0000

ros-kinetic-image-geometry (1.9.12-0jessie) jessie; urgency=high

  * buildtool_depend catkin fix
  * Contributors: William Woodall

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 13 Dec 2012 23:00:00 -0000

ros-kinetic-image-geometry (1.9.11-0jessie) jessie; urgency=high

  * Fixing image_geometry package.xml
  * fix https://code.ros.org/trac/ros-pkg/ticket/5570
  * Contributors: Vincent Rabaud, William Woodall

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 09 Dec 2012 23:00:00 -0000

ros-kinetic-image-geometry (1.9.10-0jessie) jessie; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 03 Oct 2012 22:00:00 -0000

ros-kinetic-image-geometry (1.9.9-0jessie) jessie; urgency=high

  * fix dependencies
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 30 Sep 2012 22:00:00 -0000

ros-kinetic-image-geometry (1.9.8-0jessie) jessie; urgency=high

  * fix some dependencies
  * fix missing Python at install and fix some dependencies
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 29 Sep 2012 22:00:00 -0000

ros-kinetic-image-geometry (1.9.7-0jessie) jessie; urgency=high

  * add missing stuff
  * make sure we find catkin
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 28 Sep 2012 19:07:00 -0000

ros-kinetic-image-geometry (1.9.6-0jessie) jessie; urgency=high

  * make all the tests pass
  * comply to the new Catkin API
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 28 Sep 2012 13:17:00 -0000

ros-kinetic-image-geometry (1.9.5-0jessie) jessie; urgency=high

  * remove dependencies to the opencv2 ROS package
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 14 Sep 2012 22:00:00 -0000

ros-kinetic-image-geometry (1.9.4-0jessie) jessie; urgency=high

  * make sure the include folders are copied to the right place
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 12 Sep 2012 22:00:00 -0000

ros-kinetic-image-geometry (1.9.3-0jessie) jessie; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 11 Sep 2012 22:00:00 -0000

ros-kinetic-image-geometry (1.9.2-0jessie) jessie; urgency=high

  * be more compliant to the latest catkin
  * added catkin_project() to cv_bridge, image_geometry, and opencv_tests
  * Contributors: Jonathan Binney, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 06 Sep 2012 22:00:00 -0000

ros-kinetic-image-geometry (1.9.1-0jessie) jessie; urgency=high

  * remove things that were marked as ROS_DEPRECATED
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 28 Aug 2012 20:06:00 -0000

ros-kinetic-image-geometry (1.9.0-0jessie) jessie; urgency=high

  * catkinized opencv_tests by Jon Binney
  * fix ticket 5449
  * use OpenCV's projectPoints
  * remove the version check, let's trust OpenCV :)
  * revert the removal of opencv2
  * vision_opencv: Export OpenCV flags in manifests for image_geometry, cv_bridge.
  * finally get rid of opencv2 as it is a system dependency now
  * bump REQUIRED version of OpenCV to 2.3.2, which is what's in ros-fuerte-opencv
  * switch rosdep name to opencv2, to refer to ros-fuerte-opencv2
  * Adding a few missing headers so that client code may compile against pinhole camera model.
  * Adding opencv2 to all manifests, so that client packages may
    not break when using them.
  * baking in opencv debs and attempting a pre-release
  * image_geometry: (Python) Adjust K and P for ROI/binning. Also expose full resolution K and P. Add raw_roi property.
  * image_geometry: Add Tx, Ty getters (Python).
  * image_geometry: Added tf_frame and stamp properties. Only generate undistort maps when rectifyImage is called.
  * image_geometry: Fix for when D is empty (Python).
  * image_geometry: Take all D coefficients, not just the first 4 (Python).
  * image_geometry: Fix rectification in the presence of binning (#4848 <https://github.com/ros-perception/vision_opencv/issues/4848>).
  * image_geometry: Fixed wg-ros-pkg #5019 <https://github.com/ros-perception/vision_opencv/issues/5019>, error updating StereoCameraModel. Removed manifest dependency on cv_bridge.
  * image_geometry: fromCameraInfo() returns bool, true if parameters have changed since last call.
  * image_geometry: Accessors for full-res K, P.
  * image_geometry: Implemented toFullResolution(), toReducedResolution().
  * image_geometry: Implemented reducedResolution().
  * image_geometry: Implemented rectifiedRoi() with caching. Fixed bug that would cause rectification maps to be regenerated every time.
  * image_geometry: Implemented rectifyRoi().
  * image_geometry: Overloads of projection functions that return the output directly instead of through a reference parameter. Implemented unrectifyRoi(). Added fullResolution(), rawRoi().
  * image_geometry: Library-specific exception class.
  * image_geometry: PIMPL pattern for cached data, so I can change in patch releases if necessary. Changed projectPixelTo3dRay() to normalize to z=1.
  * image_geometry (rep0104): Added binning. Partially fixed ROI (not finding rectified ROI yet). Now interpreting distortion_model. Lots of code cleanup.
  * image_geometry (rep0104): Got tests passing again, were issues with D becoming variable-length.
  * image_geometry: Fixed swapped width/height in computing ROI undistort maps. Partially fixes #4206 <https://github.com/ros-perception/vision_opencv/issues/4206>.
  * image_geometry: getDelta functions, getZ and getDisparity in C++ and Python. Docs and tests for them. Changed Python fx() and friends to pull values out of P instead of K.
  * image_geometry: Added C++ getDeltaU and getDeltaV.
  * #4201 <https://github.com/ros-perception/vision_opencv/issues/4201>, implement/doc/test for getDeltaU getDeltaX getDeltaV getDeltaY
  * Added Ubuntu platform tags to manifest
  * #4083 <https://github.com/ros-perception/vision_opencv/issues/4083>, projectPixelTo3dRay implemented
  * image_geometry: Added PinholeCameraModel::stamp() returning the time stamp.
  * image_geometry: Fixed bugs related to ignoring Tx & Ty in projectPixelTo3dRay and unrectifyPoint. Added Tx() and Ty() accessors.
  * image_geometry: Fixed #4063 <https://github.com/ros-perception/vision_opencv/issues/4063>, PinholeCameraModel ignores Tx term in P matrix.
  * image_geometry: Implemented projectDisparityTo3d, #4019 <https://github.com/ros-perception/vision_opencv/issues/4019>.
  * image_geometry: Implemented unrectifyPoint, with unit tests.
  * image_geometry: Fixed bug in rectifyPoint due to cv::undistortPoints not accepting double pt data, #4053 <https://github.com/ros-perception/vision_opencv/issues/4053>.
  * image_geometry: Tweaked manifest.
  * image_geometry: Better manifest description.
  * Removed tfFrame sample
  * image_geometry: Doxygen main page, manifest updates.
  * image_geometry: Doxygen for StereoCameraModel.
  * image_geometry: Made Q calculation match old stereoproc one.
  * image_geometry: Tweaked projectDisparityImageTo3D API for handling missing values.
  * image_geometry: Added method to project disparity image to 3d. Added ConstPtr version of fromCameraInfo in StereoCameraModel.
  * image_geometry: Export linker flags. Fixed bug that could cause rectification maps to not be initialized before use.
  * Fixed path-handling on gtest for CMake 2.6
  * image_geometry: Added missing source file.
  * image_geometry: Added some C++ docs.
  * image_geometry: Minor cleanup of StereoCameraModel, added it to build. Put in copy constructors.
  * image_geometry: Switched pinhole_camera_model to use new C++ OpenCV types and functions.
  * Remove use of deprecated rosbuild macros
  * image_geometry (C++): Unit test for projecting points uv <-> xyz.
  * image_geometry (C++): Implemented more projection functions, added beginnings of the unit tests.
  * trigger rebuild
  * Enable rosdoc.yaml
  * docs
  * image_geometry: Started C++ API. PinholeCameraModel is in theory (untested) able to track state efficiently and rectify images.
  * First stereo test
  * Checkpoint
  * Skeleton of test
  * First cut
  * Contributors: Vincent Rabaud, ethanrublee, gerkey, jamesb, mihelich, vrabaud, wheeler

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 28 Aug 2012 12:29:00 -0000


